## org.exist.soap
Class DocumentDesc

    java.lang.Object
      org.exist.soap.DocumentDesc

All Implemented Interfaces:
  java.io.Serializable

public class DocumentDesc
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DocumentDesc()`
`DocumentDesc(java.lang.String name, java.lang.String owner, java.lang.String group, int permissions, DocumentType type)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` `getGroup()` Gets the group value for this DocumentDesc.
`java.lang.String` `getName()` Gets the name value for this DocumentDesc.
`java.lang.String` `getOwner()` Gets the owner value for this DocumentDesc.
`int` `getPermissions()` Gets the permissions value for this DocumentDesc.
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`DocumentType` `getType()` Gets the type value for this DocumentDesc.
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setGroup(java.lang.String group)` Sets the group value for this DocumentDesc.
`void` `setName(java.lang.String name)` Sets the name value for this DocumentDesc.
`void` `setOwner(java.lang.String owner)` Sets the owner value for this DocumentDesc.
`void` `setPermissions(int permissions)` Sets the permissions value for this DocumentDesc.
`void` `setType(DocumentType type)` Sets the type value for this DocumentDesc.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDesc

    public DocumentDesc()

### DocumentDesc

    public DocumentDesc(java.lang.String name,
                        java.lang.String owner,
                        java.lang.String group,
                        int permissions,
                        DocumentType type)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this DocumentDesc.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this DocumentDesc.

  Parameters:
    `name` -

### getOwner

    public java.lang.String getOwner()

  Gets the owner value for this DocumentDesc.

  Returns:
    owner

### setOwner

    public void setOwner(java.lang.String owner)

  Sets the owner value for this DocumentDesc.

  Parameters:
    `owner` -

### getGroup

    public java.lang.String getGroup()

  Gets the group value for this DocumentDesc.

  Returns:
    group

### setGroup

    public void setGroup(java.lang.String group)

  Sets the group value for this DocumentDesc.

  Parameters:
    `group` -

### getPermissions

    public int getPermissions()

  Gets the permissions value for this DocumentDesc.

  Returns:
    permissions

### setPermissions

    public void setPermissions(int permissions)

  Sets the permissions value for this DocumentDesc.

  Parameters:
    `permissions` -

### getType

    public DocumentType getType()

  Gets the type value for this DocumentDesc.

  Returns:
    type

### setType

    public void setType(DocumentType type)

  Sets the type value for this DocumentDesc.

  Parameters:
    `type` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.